<?php 
class DromioNode {
  static $pageAry = array("work","source","surface","transcriber");
  static $work = array();

  function __construct($id,$label,$input,$hint,$path,$singleton=false,$required=false,$pattern="") {
    $this->id    = $id;
    $this->label = $label;
    $this->input = $input;
    $this->hint  = $hint;
    $this->path  = $path;
    $this->singleton = $singleton;
    $this->required  = $required;
    $this->validationPattern= $pattern;
  }
  function getPath() {
    return $this->path;
  }
  function isSingleton() {
    return $this->singleton;
  }

  function writeLine($value=null,$idx=0,$addRow=true,$selected=null) {
    $name = $this->id;
    $name = "$name-$idx";
    $label = $this->label;
    $input = $this->input;
    $hint = $this->hint;
    if ($this->singleton) { $addRow = false; }
    $isRequired = $this->required;
    if ($idx != "0") { $isRequired = false; }
    $validationPattern = $this->validationPattern;

    $i = 0;
    echo "      <div id=\"row-$name\" class=\"contentsRow row".($i % 2)."\">\n";

    //Label
    if (strpos($input,'List') !== false) {
      $list = $GLOBALS[$input];
      echo "       <div class=\"inputLabel\">";
      if ($isRequired) { echo "* "; }
      echo "\n         <select name=\"type$name\">\n";
      foreach ($list as $option) {
        echo "           <option value=\"$option\"";
        if ($selected == $option) { echo " selected='selected'"; }
        echo ">".ucfirst($option)."</option>\n";
      }
      echo "         </select>\n";
      echo "       </div>\n";
    } else {
      if ($isRequired) { $label =  "* $label"; }
      echo "       <div class=\"inputLabel\">$label</div>\n";
    }

    //Input
    if ($isRequired) { $required = "required"; } else { $required = ""; }
    if ($validationPattern) { $pattern = "pattern=\"$validationPattern\""; } else { $pattern = ""; }
    if ($input == "input" || strpos($input,'List') !== false) {
      echo "       <div class=\"contentsInput\"><input name=\"$name\" style=\"width:300px;\" value=\"$value\" $required $pattern/></div>\n";
    } elseif ($input == "textarea") {
      echo "       <div class=\"contentsInput\"><textarea name=\"$name\" rows=\"1\" style=\"width:300px;\" $required $pattern>$value</textarea></div>\n";
    } elseif ($input == "file") {
      echo "       <div class=\"contentsInput\"><input name=\"$name\" type=\"file\"/></div>\n";
    } else {
      echo "       <div class=\"contentsInput\">$value</div>\n";
    }

    //"Add Row" button
    if ($addRow) {
      echo "       <div id=\"btn-$name\" class=\"inputOption\"><a class=\"blue\" onclick=\"addRow('$name');\">Add row</a></div>\n";
    } else {
      echo "       <div class=\"inputOption\">&nbsp;</div>\n";
    }

    //Hint
    echo "       <div class=\"inputHint\">$hint</div>\n";
    echo "      </div>\n";
  }
    
}
?>
