class FloatingImage extends FloatingBox {
  constructor(imgFile) {
    if (!imgFile) { return false; }
    super(imgFile);
    var img = new Image();
    img.setAttribute('id','image1');
    img.setAttribute('draggable',false);
    img.ondragstart = function() { return false; };
    if (imgFile.match(/http/)) {
      img.src = imgFile;
    } else {
      img.src = "images/"+imgFile;
    }
    this.boxContent.appendChild(img);
    this.img = img;
    this.zoomFactor = 1;
    var self = this;

    this.addToolbar("zoom");
    this.addToolbarText("zoom","Zoom:");
    this.addToolbarButton("zoom","ZoomOut","function","<","Zoom Out");
    document.getElementById("ZoomOutBtn").onclick = function() { self.zoomOut(); };
    this.magnifyPct = this.addToolbarText("zoom","100%","magnifyPct");
    this.addToolbarButton("zoom","ZoomIn","function",">","Zoom In");
    document.getElementById("ZoomInBtn").onclick = function() { self.zoomIn(); };
  }
  zoomIn() {
    if (this.img) {
      var w = parseInt(this.img.width) * 1.1;
      var h = parseInt(this.img.height) * 1.1;
      this.img.width = w;
      this.img.height = h;
      this.zoomFactor = this.zoomFactor * 1.1;
      this.magnifyPct.innerHTML = parseInt(this.zoomFactor * 100) + "%";
    }
  }
  zoomOut() {
    if (this.img) {
      var w = parseInt(this.img.width) / 1.1;
      var h = parseInt(this.img.height) / 1.1;
      this.img.width = w;
      this.img.height = h;
      this.zoomFactor = this.zoomFactor / 1.1;
      this.magnifyPct.innerHTML = parseInt(this.zoomFactor * 100) + "%";
    }
  }

}
