<?php
$base_url = "https://dromio.yourdomain.here";
$transcription_dir = "transcriptions";
$failsafe_dir = "failsafe";
$image_dir = "images";
date_default_timezone_set('America/New_York');

$toolbars = array(
  array("id"=>"mainBar","type"=>"transcription","label"=>"Main Bar","display"=>"true","required"=>"true"),
  array("id"=>"structure","type"=>"transcription","label"=>"Structure","display"=>"true","required"=>"false"),
  array("id"=>"format","type"=>"transcription","label"=>"Format","display"=>"true","required"=>"false"),
  array("id"=>"emroc","type"=>"transcription","label"=>"EMROC","display"=>"false","required"=>"false"),
  array("id"=>"vetting","type"=>"arbitration","label"=>"Main Bar","display"=>"true","required"=>"true")
);
$buttons = array(
  array("toolbar"=>"mainBar","type"=>"tag","id"=>"ex","label"=>"<i>ex</i>","title"=>"Expansion","function"=>"ex"),
  array("toolbar"=>"mainBar","type"=>"tag","id"=>"d","label"=>"<del>del</del>","title"=>"Strikethrough","function"=>"del"),
  array("toolbar"=>"mainBar","type"=>"tag","id"=>"ins","label"=>"ins","title"=>"Insertion","function"=>"ins"),
  array("toolbar"=>"mainBar","type"=>"tag","id"=>"g","label"=>"gap","title"=>"Gap","function"=>"gap"),
  array("toolbar"=>"mainBar","type"=>"tag","id"=>"unc","label"=>"unc","title"=>"Unclear","function"=>"unclear"),
  array("toolbar"=>"mainBar","type"=>"tag","id"=>"mm","label"=>"mrk","title"=>"Metamark","function"=>"metamark"),
  array("toolbar"=>"mainBar","type"=>"tag","id"=>"img","label"=>"img","title"=>"Graphic or Figure","function"=>"graphic"),
  array("toolbar"=>"mainBar","type"=>"padding","class"=>"toolbarButtonSmall"),
  array("toolbar"=>"mainBar","type"=>"function","id"=>"help","label"=>"?","title"=>"Help",20,22,"function"=>"showHelp","class"=>"toolbarButtonSmall"),
  array("toolbar"=>"mainBar","type"=>"function","id"=>"toolbars","label"=>"&#9636;","title"=>"Select Toolbars",20,22,"function"=>"selectToolbars","class"=>"toolbarButtonSmall fontBig"),
  array("toolbar"=>"mainBar","type"=>"function","id"=>"code","label"=>"&lt;xml&gt;","title"=>"Show/hide code",0,50,"function"=>"showCode","class"=>"toolbarButtonWide"),
  array("toolbar"=>"mainBar","type"=>"function","id"=>"save","label"=>"Save","title"=>"Save transcription",0,50,"function"=>"saveTranscription","class"=>"toolbarButtonWide"),
  array("toolbar"=>"mainBar","type"=>"function","id"=>"complete","label"=>"Done","title"=>"Mark as complete",0,50,"function"=>"completeTranscription","class"=>"toolbarButtonWide"),
  array("toolbar"=>"format","type"=>"tag","id"=>"s","label"=>"^","title"=>"Superscript","function"=>"sup"),
  array("toolbar"=>"format","type"=>"tag","id"=>"sl","label"=>"\\\^/","title"=>"Superscript to be lowered","function"=>"sl"),
  array("toolbar"=>"format","type"=>"tag","id"=>"macron","label"=>"~","title"=>"Macron/Tilde","function"=>"macron"),
  array("toolbar"=>"format","type"=>"tag","id"=>"y","label"=>"y/th","title"=>"Thorn","function"=>"brev-y"),
  array("toolbar"=>"format","type"=>"tag","id"=>"es","label"=>"&lt;es&gt;","title"=>"Brevigraph es","function"=>"brev-es"),
  array("toolbar"=>"format","type"=>"tag","id"=>"er","label"=>"&lt;er&gt;","title"=>"Brevigraph er","function"=>"brev-er"),
  array("toolbar"=>"format","type"=>"tag","id"=>"per","label"=>"&lt;p&gt;","title"=>"Special p","function"=>"brev-p"),
  array("toolbar"=>"format","type"=>"padding"),
  array("toolbar"=>"format","type"=>"padding","class"=>"toolbarButtonSmall"),
  array("toolbar"=>"format","type"=>"shortcut","id"=>"ye","label"=>"<i>ye</i>","title"=>"Shortcut ye",32,32,"function"=>"<brev-y>th</brev-y><sl>e</sl>"),
  array("toolbar"=>"format","type"=>"shortcut","id"=>"yt","label"=>"<i>yt</i>","title"=>"Shortcut yt","function"=>"<brev-y>th</brev-y><ex>a</ex><sl>t</sl>"),
  array("toolbar"=>"format","type"=>"shortcut","id"=>"yr","label"=>"<i>yr</i>","title"=>"Shortcut yr","function"=>"y<ex>ou</ex><sl>r</sl>"),
  array("toolbar"=>"format","type"=>"shortcut","id"=>"wth","label"=>"<i>wth</i>","title"=>"Shortcut wth","function"=>"w<ex>i</ex><sl>th</sl>"),
  array("toolbar"=>"format","type"=>"shortcut","id"=>"wch","label"=>"<i>wch</i>","title"=>"Shortcut wch","function"=>"w<ex>hi</ex><sl>ch</sl>"),
  array("toolbar"=>"structure","type"=>"tag","id"=>"pb","label"=>"pb","title"=>"Page Break","function"=>"pb"),
  array("toolbar"=>"structure","type"=>"tag","id"=>"catchword","label"=>"cw","title"=>"Catchword","function"=>"catchword"),
  array("toolbar"=>"structure","type"=>"tag","id"=>"heading","label"=>"hd","title"=>"Heading","function"=>"heading"),
  array("toolbar"=>"structure","type"=>"tag","id"=>"label","label"=>"lbl","title"=>"Label","function"=>"label"),
  array("toolbar"=>"structure","type"=>"tag","id"=>"ps","label"=>"ps","title"=>"Postscript","function"=>"ps"),
  array("toolbar"=>"structure","type"=>"tag","id"=>"opn","label"=>"opn","title"=>"Opener","function"=>"opn"),
  array("toolbar"=>"structure","type"=>"tag","id"=>"cls","label"=>"cls","title"=>"Closer","function"=>"cls"),
  array("toolbar"=>"structure","type"=>"tag","id"=>"add","label"=>"add","title"=>"Addition","function"=>"add"),
  array("toolbar"=>"structure","type"=>"tag","id"=>"note","label"=>"note","title"=>"Transcribers note","function"=>"note"),
  array("toolbar"=>"structure","type"=>"padding"),
  array("toolbar"=>"structure","type"=>"padding","class"=>"toolbarButtonSmall"),
  array("toolbar"=>"structure","type"=>"tag","id"=>"name","label"=>"nm","title"=>"Personal Name",32,32,"function"=>"name"),
  array("toolbar"=>"structure","type"=>"tag","id"=>"place","label"=>"pl","title"=>"Place Name","function"=>"place"),
  array("toolbar"=>"structure","type"=>"tag","id"=>"amt","label"=>"amt","title"=>"Monetary amount","function"=>"amt"),
  array("toolbar"=>"emroc","type"=>"tag","id"=>"date","label"=>"date","title"=>"Date","function"=>"date"),
  array("toolbar"=>"emroc","type"=>"tag","id"=>"seasonality","label"=>"seas","title"=>"Seasonality","function"=>"seasonality"),
  array("toolbar"=>"emroc","type"=>"tag","id"=>"ailment","label"=>"ail","title"=>"Ailment","function"=>"ailment"),
  array("toolbar"=>"emroc","type"=>"tag","id"=>"ingredient","label"=>"ingr","title"=>"Ingredient","function"=>"ingredient"),
  array("toolbar"=>"emroc","type"=>"tag","id"=>"measure","label"=>"mea","title"=>"Measurement","function"=>"measure"),
  array("toolbar"=>"emroc","type"=>"tag","id"=>"method","label"=>"pm","title"=>"Production method","function"=>"method"),
  array("toolbar"=>"emroc","type"=>"tag","id"=>"efficacy","label"=>"eff","title"=>"Efficacy statement","function"=>"efficacy"),
  array("toolbar"=>"emroc","type"=>"tag","id"=>"admin","label"=>"adm","title"=>"Administration statement","function"=>"adm"),

  array("toolbar"=>"vetting","type"=>"function","id"=>"save","label"=>"Save","title"=>"Save transcription",0,50,"function"=>"saveTranscription","class"=>"toolbarButtonWide"),
  array("toolbar"=>"vetting","type"=>"function","id"=>"complete","label"=>"Done","title"=>"Mark as complete",0,50,"function"=>"completeTranscription","class"=>"toolbarButtonWide"),
);

include 'DromioDocument.php';
include "DromioNode.php";
$levelAry = array("work","ms","surface","transcriber");
$sourceIdAry = array("msid"=>"ms");

$respList = array("author","editor","sponsor","funder","principal");
$msrespList = array("author","editor");
$pblshList = array("publisher","distributor","authority");

//DromioNode(id,label,inputType,hint,path,singleton,required)
$workAry = array();
$workAry['idno'] = new DromioNode('idno','ID','input','Code or Identifier for this work','TEI:teiHeader/TEI:fileDesc/TEI:publicationStmt/TEI:idno',true,true);
$workAry['title'] = new DromioNode('title','Title','input','Title for this TEI document','TEI:teiHeader/TEI:fileDesc/TEI:titleStmt/TEI:title');
$workAry['resp'] = new DromioNode('resp','editor','respList','Who is responsible for this TEI document','TEI:teiHeader/TEI:fileDesc/TEI:titleStmt/TEI:$respList');
$workAry['pblsh'] = new DromioNode('pblsh','publisher','pblshList','Who distributes this TEI document','TEI:teiHeader/TEI:fileDesc/TEI:publicationStmt/TEI:$pblshList');
$workAry['genre'] = new DromioNode('genre','Genre','input','Genre of the work described','TEI:teiHeader/TEI:profileDesc/TEI:textClass/TEI:keywords/TEI:term');
$workAry['prjDesc'] = new DromioNode('prjDesc','Project','textarea','Project purpose and goals','TEI:teiHeader/TEI:encodingDesc/TEI:projectDesc/TEI:p');
$workAry['correction'] = new DromioNode('correction','Corrections','textarea','Are corrections tagged or silently made','TEI:teiHeader/TEI:encodingDesc/TEI:editorialDecl/TEI:correction/TEI:p');
$workAry['normalization'] = new DromioNode('normalization','Normalization','textarea','Is spelling/punctuation normalized','TEI:teiHeader/TEI:encodingDesc/TEI:editorialDecl/TEI:normalization/TEI:p');
$workAry['quotation'] = new DromioNode('quotation','Quotation','textarea','Are quotes replaced by markup','TEI:teiHeader/TEI:encodingDesc/TEI:editorialDecl/TEI:quotation/TEI:p');
$workAry['hyphenation'] = new DromioNode('hyphenation','Hyphenation','textarea','Is hyphenation retained','TEI:teiHeader/TEI:encodingDesc/TEI:editorialDecl/TEI:hyphenation/TEI:p');
$workAry['rights'] = new DromioNode('rights','Rights','textarea','Rights/conditions of use','TEI:teiHeader/TEI:fileDesc/TEI:publicationStmt/TEI:availability/TEI:p');
$workAry['notes'] = new DromioNode('notes','Notes','textarea','Notes about this TEI document','TEI:teiHeader/TEI:fileDesc/TEI:notesStmt/TEI:note');

$msAry = array();
$msAry['msid'] = new DromioNode('msid','ID','input','Valid xml:id for this witness',"TEI:teiHeader/TEI:fileDesc/TEI:sourceDesc/TEI:listBibl/TEI:msDesc[@xml:id='\$msid']/@xml:id",true,true,"[a-zA-Z][\w\.-]*");
$msAry['msname'] = new DromioNode('msname','Call Number','input','Call Number',"TEI:teiHeader/TEI:fileDesc/TEI:sourceDesc/TEI:listBibl/TEI:msDesc[@xml:id='\$msid']/TEI:msIdentifier/TEI:msName",true);
$msAry['mstitle'] = new DromioNode('mstitle','Title','input','Title of this manuscript',"//TEI:msDesc[@xml:id='\$msid']/TEI:msContents/TEI:msItem/TEI:title",false,true);
$msAry['msresp'] = new DromioNode('msresp','editor','msrespList','Who created this manuscript',"//TEI:msDesc[@xml:id='\$msid']/TEI:msContents/TEI:msItem/TEI:\$msrespList",false,false);
$msAry['msorigin'] = new DromioNode('msorigin','Origin','input','General info about MS origin',"//TEI:msDesc[@xml:id='\$msid']/TEI:history/TEI:origin");
//$msAry['msplace'] = new DromioNode('msplace','Place','input','Where the MS was composed',"//TEI:msDesc[@xml:id='\$msid']/TEI:history/TEI:origin/TEI:origPlace");
//$msAry['msdate'] = new DromioNode('msdate','Date','input','When the MS was composed',"//TEI:msDesc[@xml:id='\$msid']/TEI:history/TEI:origin/TEI:origDate");
$msAry['mswhen'] = new DromioNode('mswhen','ISO date','input','ISO date of MS origin (yyyy-mm-dd)',"//TEI:msDesc[@xml:id='\$msid']/TEI:history/TEI:origin/@when",true,false,"\d{4}(-(0[1-9]|1[0-2])(-([0-2]\d|3[01]))?)?");
$msAry['msrepository'] = new DromioNode('msrepository','Repository','input','Repository',"//TEI:msDesc[@xml:id='\$msid']/TEI:msIdentifier/TEI:repository");
$msAry['mscollection'] = new DromioNode('mscollection','Collection','input','Collection Name',"//TEI:msDesc[@xml:id='\$msid']/TEI:msIdentifier/TEI:collection");
$msAry['mscollectionid'] = new DromioNode('mscollectionid','Collection ID','input','Finding Aid filename (e.g. dfoloseley)',"//TEI:msDesc[@xml:id='\$msid']/TEI:msIdentifier/TEI:collection/@xml:id",true,false,"[a-zA-Z][\w\.-]*");
$msAry['msbbid'] = new DromioNode('msbbid','Bibliographic ID','input','Bib ID',"//TEI:msDesc[@xml:id='\$msid']/TEI:msIdentifier/TEI:idno[@type='BBID']");
$msAry['mspageno'] = new DromioNode('mspageno','Page Number','input','Location of text within the work',"//TEI:msDesc[@xml:id='\$msid']/TEI:msContents/TEI:msItem/TEI:locus");
$msAry['mslang'] = new DromioNode('mslang','Language','input','Composition language of this manuscript',"//TEI:msDesc[@xml:id='\$msid']/TEI:msContents/TEI:msItem/TEI:textLang");
$msAry['msscript'] = new DromioNode('msscript','Script','input','Description of script(s) used',"//TEI:msDesc[@xml:id='\$msid']/TEI:physDesc/TEI:scriptDesc/TEI:p");
$msAry['mshand'] = new DromioNode('mshand','Hand','input','Description of hand(s) in this manuscript',"//TEI:msDesc[@xml:id='\$msid']/TEI:physDesc/TEI:handDesc/TEI:p");
$msAry['msincipit'] = new DromioNode('msincipit','First Line','input','First line of this manuscript',"//TEI:msDesc[@xml:id='\$msid']/TEI:msContents/TEI:msItem/TEI:incipit");
$msAry['msrights'] = new DromioNode('msrights','Copyright','textarea','Copyright information for this manuscript',"//TEI:msDesc[@xml:id='\$msid']/TEI:additional/TEI:adminInfo/TEI:availability/TEI:p");
$msAry['msnote'] = new DromioNode('msnote','Notes','textarea','Notes about this manuscript',"//TEI:msDesc[@xml:id='\$msid']/TEI:msContents/TEI:msItem/TEI:note/TEI:p");

$surfaceAry = array();
$surfaceAry['sfcid'] = new DromioNode('sfcid','ID','input','Valid xml:id for this surface',"TEI:sourceDoc[@corresp='\$srcid']/TEI:surface[@xml:id='\$sfcid']/@xml:id",true,true,"[a-zA-Z][\w\.-]*");
$surfaceAry['sfcpageno'] = new DromioNode('sfcpageno','Page Number','input','Location of text within the work',"//TEI:surface[@xml:id='\$sfcid']/@n",true);
$surfaceAry['sfcfacsimile'] = new DromioNode('sfcfacsimile','Facsimile','input','URL of image file',"//TEI:surface[@xml:id='\$sfcid']/TEI:media/@url",true);
$surfaceAry['sfcfile'] = new DromioNode('sfcfile','Image Upload','file','Upload image file',"sfcfacsimile",true);

$transcriberAry = array();
$transcriberAry['transid'] = new DromioNode('transid','ID','input','Short name or Identifier for the transcriber',"TEI:teiHeader/TEI:fileDesc/TEI:titleStmt/TEI:respStmt[@xml:id='\$transid']/@xml:id",true,true,"[a-zA-Z][\w\.-]*");
$transcriberAry['transname'] = new DromioNode('transname','Name','input','Transcriber\'s name',"//TEI:respStmt[@xml:id='\$transid']/TEI:name",true);
$transcriberAry['transrole'] = new DromioNode('transrole','Role','input','Transcriber\'s role',"//TEI:respStmt[@xml:id='\$transid']/TEI:resp",true);

$dromioAry = array_merge($workAry,$msAry,$surfaceAry,$transcriberAry);

$dir = "";
if (isset($_GET['dir'])) {
  $dir = $_GET['dir'];
  $base_dir = "$transcription_dir/$dir";
} else {
  $base_dir = $transcription_dir;
}
?>
