<?php
  include "dromio_config.php";

$rtndir = "index.php";
if (isset($_GET["id"])) {
  $p_id = $_GET["id"];
} else {
  header("Location: $rtndir");
  exit;
}

$rtndir = "viewWork.php?id=$p_id";
if (isset($_GET["srcid"])) {
  $srcid = $_GET["srcid"];
} else {
  header("Location: $rtndir");
  exit;
}
?>
<!DOCTYPE html>
<html xml:lang="en">
<head>
<title>Dromio - Folger Shakespeare Library</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css" media="screen,print">@import "dromio.css";</style>
<style type="text/css" media="screen,print"> .deleted { color: gray; } </style>
<script type="text/javascript">
  var source;
  var id = "<?php if ($p_id) { echo "$p_id"; } ?>";
  var src = "<?php if ($srcid) { echo "$srcid"; } ?>";
  function isbefore(a, b) {
    if (a.parentNode == b.parentNode) {
      for (var cur = a; cur; cur = cur.previousSibling) {
        if (cur === b) { return true; }
      }
    }
    return false;
  } 
  function dragenter(e) {
    var target = e.target;
    if (target.nodeName == "#text") { target = target.parentNode; }
    while (target.nodeName == "DIV") { target = target.parentNode; }
    target.style = "";
    if (isbefore(source, target)) {
      target.parentNode.insertBefore(source, target);
    } else {
      target.parentNode.insertBefore(source, target.nextSibling);
    }
  }
  function dragstart(e) {
    source = e.target;
    e.dataTransfer.effectAllowed = 'move';
    e.dataTransfer.setData('text/html',source.innerHTML);
    source.style.border = "1px solid red";
    source.style.color = "red";
  }
  function orderSurfaces() {
    var list = document.getElementById('surfaceList').getElementsByTagName("LI");
    var str = "";
    var del = "";
    for (var i = 0; i < list.length; i++) {
      var item = list[i];
      if (item.className.indexOf("deleted") > -1) {
        if (del) { del += ";"; }
        del += item.id;
      } else {
        if (str) { str += ";"; }
        str += item.id;
      }
    }
    var url = window.location.protocol + "//" + window.location.host + "" + window.location.pathname+"?id="+id+"&srcid="+src+"&surfaces="+str;
    if (del) { url += "&deleted="+del; }
    window.open(url,"_self");
  }
  function deleteSurface(sfcid) {
    var sfc = document.getElementById(sfcid);
    sfc.draggable = "false";
    sfc.ondragenter = "";
    sfc.ondragstart = "";
    sfc.className = "deleted";
    sfc.parentNode.appendChild(sfc);
  }
</script>
</head>
<body>
  <a id="logo" href="<?php echo $base_url; ?>"></a>

<?php
if (strpos($p_id,"/") > 0) { $dir = substr($p_id,0,strrpos($p_id,"/")); }
$x = new DromioDocument($p_id);
if (isset($_GET["surfaces"])|| isset($_GET["deleted"])) {
  if (isset($_GET["surfaces"])) {
    $surfaces = explode(";",$_GET["surfaces"]);
    foreach ($surfaces as $surface) {
      $x->moveSurface($surface);
    }
  }
  if (isset($_GET["deleted"])) {
    $deleted = explode(";",$_GET["deleted"]);
    foreach ($deleted as $surface) {
      $x->removeSurface($surface);
    }
  }
  $x->lockDoc();
  try { 
    $x->validateXML();
    $x->writeDoc();
  } catch (Exception $e) {
    echo "<p style=\"color:red;\">error!</p>\n";
  }
  $x->unlockDoc();
}
?>
  <div id="contentsDiv">
    <div class="contentsHeader">
      <div class="contentsText">
      <?php if ($p_id) { echo "<a class=\"inherit\" href=\"$rtndir\" title=\"Return to Main Page\">&#9668;</a>"; } ?>&nbsp;
      <?php if ($p_id) { echo "$p_id"; } ?>
      </div>
    </div>
    <div class="contentsRow row1">
      <div class="contentsText centered">Drag surfaces to into the proper order and click Save.</div>
      <div class="clear"></div>
    </div>

    <div class="contentsRow bold">
      <div class="contentsText">Surfaces</div>
      <div class="contentsOption">Transcribers</div>
      <div class="clear"></div>
    </div>
<?php
 
    $surfaceAry = array();
    $surfaceAry = $x->getSurfaces($srcid);
    if (count($surfaceAry)) {
    echo "<ul id=\"surfaceList\">\n";
    foreach ($surfaceAry as $sfcid => $n) {
      $respAry = array();
      $respAry = $x->getSurfaceTranscribers($sfcid);
      $count = count($respAry);
      $delBtn = "";
      if ($count == 0) {
        $delBtn = "<button class=\"button\" onclick=\"if (confirm('Are you sure you want to delete this surface?')) { deleteSurface('$sfcid'); this.disabled='true';} else { return false; }\">Delete</button>";
      }

      echo "<li id=\"$sfcid\" draggable=\"true\" ondragenter=\"dragenter(event)\" ondragstart=\"dragstart(event)\">\n";
      echo "       <div class=\"contentsText\">$sfcid ($n)</div>\n";
      echo "       <div class=\"contentsOption\">$count</div>\n";
      echo "       <div class=\"contentsOption\">$delBtn</div>\n";
      echo "       <div class=\"clear\"></div>\n";

      echo "</li>\n";
    }}
    echo "</ul>\n";

?>

<div class="resultsRow row1" id="submit">
  <button onclick="orderSurfaces();"/>Save</button>
</div>
<div class="contentsRow row1" id="return">
  <br/>
  <a class="blue" href="<?php echo "$rtndir"; ?>">Return to Work</a>
</div>


  </div>
</body>
</html>
