<?php
  include "dromio_config.php";
?>
<!DOCTYPE html>
<html xml:lang="en">
<head>
<title>Dromio - Folger Shakespeare Library</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css" media="screen,print">@import "dromio.css";</style>
</head>
<body>
  <a id="logo" href="<?php echo $base_url; ?>"></a>

<?php

$old_id = "";
$new_id = "";
if (array_key_exists('id',$_GET)) { $id = $_GET['id']; }
if (!$id) {
  if (array_key_exists('id',$_POST)) { $id = $_POST['id']; }
}
if (array_key_exists('old_id',$_POST)) { $old_id = $_POST['old_id']; }
if (array_key_exists('new_id',$_POST)) { $new_id = $_POST['new_id']; }
if (array_key_exists('move',$_POST)) {
  if ($old_id == "") {
    include "index.php";
  } elseif ($new_id == "") {
    echo "<p class='message'>New Name cannot be blank.</p>\n";
  } elseif ($old_id == $new_id) {
    echo "<p class='message'>Nothing to move. New Name matches existing name.</p>\n";
  } elseif (preg_match('/[^a-zA-Z0-9\-\_\.\/]/',$new_id)) {
    echo "<p class='message'>Invalid character in $new_id.</p>\n";
  } elseif (is_dir("$transcription_dir/$old_id")) {
    if (is_dir("$transcription_dir/$new_id")) {
      echo "<p class='message'>Directory already exists. Rename or delete $new_id first.</p>\n";
    } else {
      if (rename("$transcription_dir/$old_id","$transcription_dir/$new_id")) {
        echo "<p>Directory moved. <a class=\"blue\" href=\"index.php?dir=$new_id\">Return to Main Screen</a></p>";
        echo "</body></html>";
        exit();
      } else {
        echo "<p class='message'>Cannot move to $new_id.</p>\n";
      }
    }
  } elseif (file_exists("$transcription_dir/$new_id")) {
    echo "<p class='message'>File already exists. Rename or delete $new_id first.</p>\n";
  } else {
    $checkDir = preg_replace('/\/([^\/]*?)$/','',$new_id,1);
    if ($checkDir == $new_id) {
    } else {
      if (!is_dir("$transcription_dir/$checkDir")) { mkdir("$transcription_dir/$checkDir",0775,true); }
    }
    if (rename("$transcription_dir/$old_id","$transcription_dir/$new_id")) {
      echo "<p>File moved. <a class=\"blue\" href=\"viewWork.php?id=$new_id\">Return to Work</a></p>";
      echo "</body></html>";
      exit();
    } else {
      echo "<p class='message'>Cannot move to $new_id.</p>\n";
    }
  }
} elseif (array_key_exists('delete',$_POST)) {
  if ($old_id == "") {
    include "index.php";
    exit();
  } elseif (is_dir("$transcription_dir/$old_id")) {
    if (!is_readable("$transcription_dir/$old_id")) {
      echo "<p class='message'>Cannot read directory $old_id.</p>\n";
    } elseif (count(scandir("$transcription_dir/$old_id")) != 2) {
      echo "<p class='message'>Directory $old_id is not empty.</p>\n";
    } elseif (rmdir("$transcription_dir/$old_id")) {
      echo "<p>Directory deleted. <a class=\"blue\" href=\"index.php\">Return to Main Screen</a></p>";
      echo "</body></html>";
      exit();
    } else {
    echo "<p class='message'>Cannot delete $old_id.</p>\n";
    }
  } elseif (unlink("$transcription_dir/$old_id")) {
    echo "<p>File deleted. <a class=\"blue\" href=\"index.php\">Return to Main Screen</a></p>";
    echo "</body></html>";
    exit();
  } else {
    echo "<p class='message'>Cannot delete $old_id.</p>\n";
  }
} else {
}
if (!$id) { $id = $old_id; }
if (!$new_id) { $new_id = $id; }
if (is_file("$transcription_dir/$id")) {
  $x = new DromioDocument($id);
  if ($x->getMsg('error')) {
    echo "<p class='message'>".$x->getMsg('error')."</p>\n";
  }
  if ($x->getMsg('warning')) {
    echo "<p>".$x->getMsg('warning')."</p>\n";
  }
}
$action = "moveWork.php?".$_SERVER['QUERY_STRING'];

$delBtn = "<input type=\"submit\" class=\"button\" name=\"delete\" value=\"Delete\" onclick=\"if (!confirm('Are you sure you want to delete this file?')) { return false; }\"/>";
$rtnBtn = "        <a class=\"blue\" href=\"viewWork.php?id=$id\">Return to Work</a>";
if (is_dir("$transcription_dir/$id")) {
  $rtnBtn = "        <a class=\"blue\" href=\"index.php?dir=$id\">Return to Main Screen.</a>";
  if (count(scandir("$transcription_dir/$id")) != 2) {
    $cnt = count(scandir("$transcription_dir/$id"))-2;
    $delBtn = "Dir not empty ($cnt)";
  } else {
    $delBtn = "<input type=\"submit\" class=\"button\" name=\"delete\" value=\"Delete\" onclick=\"if (!confirm('Are you sure you want to delete this directory?')) { return false; }\"/>";
  }
}

?>
  <div id="contentsDiv">
  <form id="newform" method="post"  action="<?php echo "$action"; ?>">
    <input type="hidden" name="old_id" value="<?php echo "$id"; ?>"/>
     <div class="contentsHeader">
      <div class="contentsText">
      <?php echo "<a class=\"inherit\" href=\"index.php?dir=$dir\" title=\"Return to Work\">&#9668;</a> $id"; ?>&nbsp;
      </div>
      </div>
      <div class="contentsRow">
        <div class="contentsLabel">Old name:</div>
        <div class="contentsText"><?php echo "$id"; ?></div>
        <div class="commandOption"><?php echo $delBtn; ?></div>
        <div class="clear"></div>
      </div>
      <br>
      <div class="contentsRow">
        <div class="contentsLabel">New name:</div>
        <div class="contentsText"><input style="width:300px;" name="new_id" value="<?php echo "$new_id"; ?>"/></div>
        <div class="commandOption"><input class="button" type="submit" name="move" value="Move"/></div>
        <div class="clear"></div>
      </div>

      <div class="resultsRow row1" id="return"><?php echo $rtnBtn; ?></div>

    </div>
  </form>
  </div>

</body>
</html>

