<?php
  setlocale(LC_ALL, 'en_US.UTF8');
  header('Content-Type:text/html; charset=UTF-8');

  include "dromio_config.php";

if (isset($_GET["id"])) {
  $p_id = $_GET["id"];
} else if (isset($_POST["page_id"])) {
  $p_id = $_POST["page_id"];
} else {
  header("Location: viewWork.php?id=$p_id");
  exit;
}
$rtndir = "viewWork.php?id=$p_id";
$x = new DromioDocument($p_id);
$call_number = $x->getValue('TEI:teiHeader/TEI:fileDesc/TEI:publicationStmt/TEI:idno');
if ($call_number) { $work_title = $call_number[0].": "; }
$work_title .= $x->getTitle();

if (isset($_GET["srcid"])) {
  $p_src = $_GET["srcid"];
} else if (isset($_POST["srcid"])) {
  $p_src = $_POST["srcid"];
}

if (isset($_GET["sfcid"])) {
  $p_sfc = $_GET["sfcid"];
} else if (isset($_POST["sfcid"])) {
  $p_sfc = $_POST["sfcid"];
}

if (isset($_GET["wid"])) {
  $p_resp = $_GET["wid"];
} else if (isset($_POST["witnessId"])) {
  $p_resp = $_POST["witnessId"];
} else {
  $p_resp = "";
}

if (isset($_GET["xsl"])) {
  $p_xsl = $_GET["xsl"];
} else if (isset($_POST["xsl"])) {
  $p_xsl = $_POST["xsl"];
} else {
  $p_xsl = "default";
}
$ary = array();
$sourceAry = $x->getSources();
if (count($sourceAry)) {
  foreach ($sourceAry as $sid => $type) {
    $ary[$sid] = array();
    $surfaceAry = $x->getSurfaces($sid);
    if (count($surfaceAry)) {
      foreach ($surfaceAry as $sfcid => $n) {
      $ary[$sid][$sfcid] = array();
      $respAry = $x->getSurfaceTranscribers($sfcid);
      if (count($respAry)) {
      foreach ($respAry as $resp) {
        $ary[$sid][$sfcid][$resp] = $resp;
      }
      }
    }
    }
  }
}
$xslAry = glob("xsl/*.xsl");
    
header('Content-Type:text/html; charset=UTF-8');

?>
<!DOCTYPE html>
<html xml:lang="en">
<head>
<title><?php echo "$work_title" ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css" media="screen,print">@import "dromioTagging.css";</style>
<style type="text/css"> @media print { .noprint { display:none; } } </style>
</head>
<body>

<div style="width:100%;">
  <div style="float:left;width:175px;" class="noprint">
    <form id="form" method="get">
    <input type="hidden" name="id" id="id" value="<?php echo "$p_id"; ?>"/>
    <div style="float:left;width:60px;">Source:</div>
    <select name="srcid" id="srcid" style="width:100px;" onchange="document.getElementById('form').submit();">
      <?php foreach ($ary as $k=>$a) { echo "<option value=\"$k\""; if ($k == $p_src) { echo " selected='selected'";} echo ">$k</option>\n"; } ?>
    </select>
    <br/>
    <div style="float:left;width:60px;">Page:</div>
    <select name="sfcid" id="sfcid" style="width:100px;" onchange="document.getElementById('form').submit();">
      <?php foreach ($ary[$p_src] as $k=>$a) { echo "<option value=\"$k\""; if ($k == $p_sfc) { echo " selected='selected'";} echo ">$k</option>\n"; } ?>
    </select>
    <br/>
    <div style="float:left;width:60px;<?php if ($p_resp=="") { echo "font-weight:bold;color:red;";}?>">Trans:</div>
    <select name="wid" id="wid" style="width:100px;" onchange="document.getElementById('form').submit();">
      <?php if ($p_resp=="") { echo "<option value=\"\"> </option>\n"; } ?>
      <?php foreach ($ary[$p_src][$p_sfc] as $k=>$a) { echo "<option value=\"$k\""; if ($k == $p_resp) { echo " selected='selected'";} echo ">$k</option>\n"; } ?>
    </select>
    <br/>
    <div style="float:left;width:60px;">XSL:</div>
    <select name="xsl" id="xsl" style="width:100px;" onchange="document.getElementById('form').submit();">
      <?php foreach ($xslAry as $k) { $k = substr($k,4,-4); echo "<option value=\"$k\""; if ($k == $p_xsl) { echo " selected='selected'";} echo ">$k</option>\n"; } ?>
    </select>
  </form>
  </div>


  <div style="float:right;width:275px;font-size:10pt;text-align:right;" class="smallText"><span class="noprint"><a href="<?php echo "$rtndir"; ?>">Return to Work</a></span></div>
  <div style="margin:auto; text-align:center;width:350px;"><b><?php echo "$work_title"; ?></b><br/><?php echo "$p_resp: ($p_xsl)";?></div>
  <div id="transcriptionText" style="position:absolute;top:100px; left: 50px;clear:both;width:90%;font-size:12pt">
<?php
$p_text = $x->getDromioLines($p_sfc,$p_resp);
$p_text = $x->getDromioTranscription($p_sfc,$p_resp);
$p_text = str_replace('&nbsp;',' ',$p_text);
$p_text = str_replace('&amp;','&',$p_text);
$p_text = str_replace('&lt;','<',$p_text);
$p_text = str_replace('&gt;','>',$p_text);
$p_text = str_replace('&','&amp;',$p_text);
$txtDoc = new DOMDocument();
$text = "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
$text .= '<XML>'.$p_text.'</XML>';

set_error_handler('HandleXMLError');
$test = $txtDoc->loadXML($text);
if ($test === false) { echo "<p style=\"color:red;\">Error loading XML</p>\n"; }
$xslDoc = new DOMDocument();
$test = $xslDoc->load("xsl/".$p_xsl.".xsl");
if ($test === false) { echo "<p style=\"color:red;\">Error loading XSL</p>\n"; }
$proc = new XSLTProcessor();
$text = $proc->importStyleSheet($xslDoc);
if ($test === false) { echo "<p style=\"color:red;\">Error importing XSL</p>\n"; }
$test = $proc->transformToXML($txtDoc);
if ($test) { echo $test; }
if ($test === false) { echo "<p style=\"color:red;\">Error transforming XML</p>\n"; }
restore_error_handler();

function HandleXMLError($errno, $errstr, $errfile, $errline) {
  echo "<p style=\"color:red;\">$errstr</p>\n";
}

?>
</div>
</div>

</body>
</html>
