<?php
  $default="Dromio";
  $default="EMMO";
  include "dromio_config.php";

  $p_id = $_GET['id'];
  if (!$p_id) { header("Location: index.php"); }

  if (strpos($p_id,"/") > 0) { $dir = substr($p_id,0,strrpos($p_id,"/")); }
  $x = new DromioDocument($p_id);
?>
<!DOCTYPE html>
<html xml:lang="en">
<head>
  <title>Dromio - Folger Shakespeare Library</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <style type="text/css" media="screen,print">@import "dromio.css";</style>
  <script type="text/javascript">
  function showSurface(sfcid) {
    var label = document.getElementById("label-"+sfcid);
    var surface = document.getElementById("surface-"+sfcid);
    if (surface) {
      if (surface.style.display == "none") {
        if (label) { label.innerHTML = "&#9660;"; }
        if (surface) { surface.style.display = "block"; }
      } else {
        if (label) { label.innerHTML = "&#9658;"; }
        surface.style.display = "none"; 
      }
    }
  }
  function changeTranscriber() {
    var resp = document.getElementById('resp');
    var links = document.getElementsByTagName('a');
    for (var i=0; i < links.length; ++i) { 
      var link=links[i].href; 
      if (link.indexOf('wid=') > 0) { 
        links[i].href = link.substr(0,link.indexOf('wid='))+'wid=' + resp.value;
      }
    }
  }
  function setTranscriber() {
    var input  = document.getElementById('new_transcriber');
    if (input && input.checkValidity()) {
      var name = input.value;
      if (name) { 
        var option = document.createElement('option');
        option.text = name;
        var resp = document.getElementById('resp');
        resp.add(option,0);
        resp.selectedIndex =0 ;
        changeTranscriber();
      }
    }
  }
  </script>
</head>
<body>
  <a id="logo" href="<?php echo $base_url; ?>"></a>
  <div id="contentsDiv">
    <div class="contentsHeader">
      <div class="contentsText">
      <?php echo "<a class=\"inherit\" href=\"index.php?dir=$dir\" title=\"Return to Main Page\">&#9668;</a>"; ?>&nbsp;
      <?php if ($p_id) { echo "<a class=\"inherit\" href=\"moveWork.php?id=$p_id\" title=\"Move/Delete Work\">$p_id</a>"; } ?>&nbsp;
      </div>
      <?php if ($p_id) { echo "        <div class=\"commandOption\"><a class=\"inherit\" href=\"".$x->getURL()."\">| View XML</a></div>\n"; } ?>
    </div>

<?php
  $title = $x->getTitle();
  echo " <div class=\"contentsRow row0\">
       <div class=\"contentsLabel\">Title:</div>
       <a class=\"inherit\" href=\"editWork.php?id=$p_id&level=work\">
       <div class=\"contentsText\">$title</div>
       </a>
       <div class=\"clear\"></div>
      </div>\n";

  if (isset($_POST["p_name"])) {
    $p_name = $_POST["p_name"];
    if (setcookie ("folger_cookie",$p_name, time()+43200)) { 
	    header("Location: index.php");
    	exit;
    } else { 
	    die('Error creating cookie'); 
    }
  }
  if (isset($_COOKIE['folger_cookie'])) {
    $p_name = $_COOKIE['folger_cookie'];
  } else {
    $p_name = "";
  }
  $respAry = $x->getSurfaceTranscribers();
  echo " <div class=\"contentsRow row1\">\n";
  echo "       <div class=\"contentsLabel\">Transcriber:</div>\n";
  echo "       <div class=\"contentsText\"><select id=\"resp\" style=\"width:150px;\" onchange=\"changeTranscriber();\">\n";
  if ($p_name && !in_array($p_name,$respAry)) {
    echo "       <option value=\"$p_name\" selected=\"selected\">$p_name</option>\n";
  }
  if ($default && !in_array($default,$respAry)) {
    echo "       <option value=\"$default\">$default</option>\n";
  }
  if (count($respAry)) {
  foreach ($respAry as $respid => $resp) {
    $selected = "";
    if ($p_name == $respid) { $selected = "selected=\"selected\""; }
    echo "       <option value=\"$respid\" $selected>$resp</option>\n";
  }}
  echo "       </select>\n";
  echo " </div>\n";
  echo "<div class=\"clear\"></div>\n";
  echo " </div>\n";
  echo " <div class=\"contentsRow row1\">\n";
  echo "       <div class=\"inputLabel small\">or type your name:</div>\n";
  echo " <div class=\"contentsText\">\n";
  echo "      <input type=\"text\" id=\"new_transcriber\" title=\"Enter a name without spaces (like 'WilliamShakespeare')\" pattern=\"[a-zA-Z][\w\.-]*\" />\n";
  echo "      <button onclick=\"setTranscriber();\">Set</button>\n";
  echo "       </div>\n";
  echo "<div class=\"clear\"></div>\n";
  echo " </div>\n";

  echo " <div class=\"contentsRow\">\n";
  echo "       <div class=\"contentsLabel\">Sources:</div>\n";
  echo "       <div class=\"contentsOption\"><a class=\"blue\" href=\"editWork.php?id=$p_id&level=ms\">Add MS</a></div>\n";
  echo "<div class=\"clear\"></div>\n";
  echo " </div>\n";

    $sourceAry = array();
    $sourceAry = $x->getSources();
    if (count($sourceAry)) {
    foreach ($sourceAry as $sid => $type) {
    echo " <div class=\"contentsRow\">\n";
    echo "       <div class=\"contentsLabel\">$type:</div>\n";
    echo "       <div class=\"contentsOption\"><a class=\"inherit\" href=\"editWork.php?id=$p_id&level=$type&".$type."id=$sid\">$sid</a></div>\n";
    echo "       <div class=\"contentsOption\"><a class=\"blue\" href=\"editWork.php?id=$p_id&level=surface&srcid=$sid\">Add Surface</a></div>\n";
    echo "       <div class=\"contentsOption\"><a class=\"blue\" href=\"moveSurfaces.php?id=$p_id&srcid=$sid\">Manage Surfaces</a></div>\n";
    echo "<div class=\"clear\"></div>\n";
    echo " </div>\n";

    $surfaceAry = array();
    $surfaceAry = $x->getSurfaces($sid);
    if (count($surfaceAry)) {
    foreach ($surfaceAry as $sfcid => $n) {
      $respAry = array();
      $respAry = $x->getSurfaceTranscribers($sfcid);
      echo " <div class=\"contentsRow\">\n";
      if (count($respAry)) { 
        $label = "&#9660;"; 
        echo "       <div class=\"contentsLabel showHide\" id=\"label-$sfcid\" onclick=\"showSurface('$sfcid');\">$label</div>\n";
      } else {
        $label = "&#9632;";
        echo "       <div class=\"contentsLabel\" id=\"label-$sfcid\">$label</div>\n";
      }
      echo "       <div class=\"contentsOption\"><a class=\"inherit\" href=\"editWork.php?id=$p_id&level=surface&srcid=$sid&sfcid=$sfcid\">$sfcid ($n)</a></div>\n";
      echo "       <div class=\"right\">\n";
      echo "       <a class=\"blue padded\" href=\"transcription.php?id=$p_id&srcid=$sid&sfcid=$sfcid&wid=EMMO\">Transcribe</a>\n";
      echo "       <a class=\"blue padded\" href=\"collation.php?id=$p_id&srcid=$sid&sfcid=$sfcid\">Collate</a>\n";
      echo "       <a class=\"blue padded\" href=\"arbitration.php?id=$p_id&srcid=$sid&sfcid=$sfcid&wid=EMMO\">Vet</a>\n";
      echo "       </div>\n";
      echo "<div class=\"clear\"></div>\n";
      echo " </div>\n";


      echo "       <div id=\"surface-$sfcid\">\n";
      $i = 1;
      if (count($respAry)) {
      foreach ($respAry as $resp) {
        if ($i % 2) { $class = "row2"; } else { $class = ""; }
        echo "       <div class=\"contentsRow\">\n";
        echo "       <div class=\"contentsLabel\">&nbsp;</div>\n";
        echo "       <li class=\"contentsOption indent $class\" style=\"width: 400px;\">\n";
        echo "       <a class=\"inherit\" href=\"transcription.php?id=$p_id&srcid=$sid&sfcid=$sfcid&wid=$resp\">$resp</a>\n";
        echo "       <a class=\"blue commandOption\" href=\"moveTranscription.php?id=$p_id&sfcid=$sfcid&wid=$resp\">Manage</a>\n";
        echo "       <a class=\"blue commandOption\" href=\"viewTranscription.php?id=$p_id&srcid=$sid&sfcid=$sfcid&wid=$resp\">Print</a>\n";
        echo "       </li>\n";
        echo "<div class=\"clear\"></div>\n";
        echo " </div>\n";
        $i++;
      }}
      echo "       </div>\n";
    }}

  }
  }

  $i = 0;
function writeLine($label,$name,$name2,$value,$hint,$button) {
  $teiAry = array("collection","idNo","title","facsimile","genre","notes","rights","prjDesc","correction","normalization","quotation","hyphenation");
  if (in_array($name,$teiAry)) { $i = 1; }
  if ($label == "RESP" || $label == "PBLSH") { $i = 1; }
  if ($label == "RESP" || $label == "PBLSH" || $label == "MSRESP") {
    $label = ucfirst($name2);
  }
  echo "      <div id=\"row-$name\" class=\"resultsRow row".($i % 2)."\">\n";
  echo "       <div class=\"label\">$label</div>\n";
  echo "       <div class=\"value\">$value</div>\n";
  echo "      </div>\n";
}

?>


<div class="resultsRow row1" id="submit">
<br/>
<?php
if ($dir) {
  echo "<a class=\"blue\" href=\"index.php?dir=$dir\">Return to Directory</a>\n";
} else {
  echo "<a class=\"blue\" href=\"index.php\">Return to Main Page</a>\n";
}
?>
</div>

  </div>
</body>
</html>
